org.apache.olingo.odata2.api.edm

## Enum EdmConcurrencyMode

- java.lang.Object
- - java.lang.Enum<EdmConcurrencyMode>
  - - org.apache.olingo.odata2.api.edm.EdmConcurrencyMode

- All Implemented Interfaces:
    Serializable, Comparable<EdmConcurrencyMode>

      public enum EdmConcurrencyMode
      extends Enum<EdmConcurrencyMode>

  Do not implement this interface or derive from class.
    EdmConcurrencyMode can be applied to any primitive Entity Data Model (EDM) type.

    Possible values are "None", which is the default, and "Fixed". Fixed implies that the property should be used for optimistic concurrency checks.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Fixed`
    `None`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EdmConcurrencyMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EdmConcurrencyMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### None

          public static final EdmConcurrencyMode None

    - #### Fixed

          public static final EdmConcurrencyMode Fixed

  - ### Method Detail

    - #### values

          public static EdmConcurrencyMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EdmConcurrencyMode c : EdmConcurrencyMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EdmConcurrencyMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.